mul::can_make_flat(): Finish ancient unfinished code.
[ginac.git] / INSTALL
diff --git a/INSTALL b/INSTALL
index de7ba244a79f62496e6e3eb038590b622237aacb..635ec4b67b9a2ed74fd0a01401cc7d925299439c 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -4,34 +4,31 @@ PREREQUISITES
 GiNaC requires the CLN library by Bruno Haible installed on your system.
 It is available from <ftp://ftpthep.physik.uni-mainz.de/pub/gnu/>.
 
-You will also need a decent ANSI-compliant C++-compiler. We recommend the
-C++ compiler from the GNU compiler collection, GCC >= 3.4. If you have a
+You will also need a decent ISO C++-11 compiler. We recommend the C++
+compiler from the GNU compiler collection, GCC >= 4.9. If you have a
 different or older compiler you are on your own. Note that you may have to
 use the same compiler you compiled CLN with because of differing
 name-mangling schemes.
 
 The pkg-config utility is required for configuration, it can be downloaded
-from <http://pkg-config.freedesktop.org/>.
+from <http://pkg-config.freedesktop.org/>. Also Python version >= 2.6 is
+required.
 
 To build the GiNaC tutorial and reference manual the doxygen utility
 (it can be downloaded from http://www.stack.nl/~dimitri/doxygen) and
 TeX are necessary.
 
 Known to work with:
- - Linux on x86 and x86_64 using GCC 3.4, 4.0, 4.1, and 4.2.
- - Linux on Alpha using GCC 3.4.
- - Solaris on Sparc using GCC 3.4.
- - Windows on x86 using GCC 3.4 (MinGW)
+ - Linux on x86 and x86_64 using 
+   - GCC 4.8, 4.9, 5.1, and 5.2
+   - Clang 3.5.0
 
 Known not to work with:
- - GCC 4.3.0 due to the compiler bug,
-   see <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=35548>.
- - GCC 2.96 or earlier because proper exception and standard library support
-   is missing there.
+ - Clang 2.7 and earlier due to poor C++ support.
+ - GCC < 4.6.0 due to missing C++-11 support
 
 If you install from git, you also need GNU autoconf (>=2.59), automake (>=1.8),
-libtool (>= 1.5), bison (>= 2.3), flex (>= 2.5.33), autogen (>= 5.6.0) to be
-installed.
+libtool (>= 1.5), python (>= 2.5), bison (>= 2.3), flex (>= 2.5.33) to be installed.
 
 
 INSTALLATION
@@ -74,17 +71,16 @@ A few of the more important ones:
 More detailed installation instructions can be found in the documentation,
 in the doc/ directory.
 
-The time the "make" step takes depends heavily on optimization levels. Large
-amounts of memory (>128MB) will be required by the compiler, also depending
-on optimization. To give you a rough idea of what you have to expect the
-following table may be helpful. It was measured on an Athlon/800MHz with
-"enough" memory:
+The time the "make" step takes depends on optimization levels. To give you
+a rough idea of what you have to expect the following table may be helpful.
+It was measured on an Athlon X2/3GHz with 4Gb of RAM.
 
 step          | GCC optimization  | comment
               |   -O1   |   -O2   |
 --------------+---------+---------+----------------------------------------
-make          |   ~6m   |   ~8m   | shared and static library
-make check    |   ~8m   |  ~12m   | largely due to compilation
+make          |   ~1m   |   ~2m   | shared library only (--disable-static),
+              |         |         | parallel compilation (MAKEFLAGS=-j2)
+make check    |   ~6m   |   ~6m   | largely due to compilation
 
 
 To install from git 
@@ -116,7 +112,7 @@ COMMON PROBLEMS
 Problems with CLN
 -----------------
 
-You should use at least CLN-1.1, since during the development of GiNaC
+You should use at least CLN-1.2.2, since during the development of GiNaC
 various bugs have been discovered and fixed in earlier versions. Please
 install CLN properly on your system before continuing with GiNaC.